package space.anyi.BI.constant;

/**
 * @ProjectName: BI
 * @FileName: SystemConstants
 * @Author: 杨逸
 * @Data:2024/11/28 20:16
 * @Description:
 */
public class SystemConstants {


    /**
     * 用户可用
     */
    public static final String USER_STATUS_NORMAL = "1";

    /**
     *redis中文章阅读量key的前缀
     */
    public static final String ARTICLE_VIEW_COUNT_KEY = "article:viewCount";

    /**
     * .png图片类型
     */
    public static final String IMAGE_TYPE_PNG = ".png";

    /**
     * .jpg图片类型
     */
    public static final String IMAGE_TYPE_JPG = ".jpg";

    /**
     * 管理员类型用户
     */
    public static final String ADMIN = "admin";

    /**
     * 存入redis用户ID的前缀
     */
    public static final String LOGIN_USER_REDIS_KEY = "login:user:";

    public static final String ROLE_STATUS_NORMAL = "0";
    public static final String MENU_STATUS_NORMAL = "0";
    public static final String MENU_TYPE_BUTTON = "F";
    /**
     * 存入redis的验证码key前缀
     */
    public static final String VERIFY_CODE_KEY = "verify:key:";
    /**
     * png格式图片的base64前缀
     */
    public static final String IMAGE_PNG_BASE64 = "data:image/png;base64,";
    /**
     * jpg格式图片的base64前缀
     */
    public static final String IMAGE_JPG_BASE64 = "data:image/png;base64,";
    /**
     *  书籍状态：已借出
     */
    public static final String BOOK_STATE_BORROWED = "1";
    /**
     * 书籍状态：未借出
     */
    public static final String BOOK_STATE_NORMAL = "0";
    /**
     * 借阅记录状态：未归还
     */
    public static final String BORROW_RECORD_STATE_NOT_RETURN = "0";
    /**
     * 借阅记录状态：已归还
     */
    public static final String BORROW_RECORD_STATE_RETURN = "1";
    /**
     * 内容类型XLS
     */
    public static final String CONTENT_TYPE_XLS = "application/vnd.ms-excel";
    /**
     *  内容类型XLSX
     */
    public static final String CONTENT_TYPE_XLSX = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
}
