package space.anyi.BI.exception;

import space.anyi.BI.entity.ResponseResult;

/**
 * @ProjectName: BI
 * @FileName: SystemException
 * @Author: 杨逸
 * @Data:2024/11/28 20:22
 * @Description:
 */
public class SystemException extends RuntimeException {
    private int code;

    private String msg;

    public SystemException() {
        super();
    }
    public SystemException(int code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }



    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public SystemException(ResponseResult.AppHttpCodeEnum httpCodeEnum) {
        super(httpCodeEnum.getMsg());
        this.code = httpCodeEnum.getCode();
        this.msg = httpCodeEnum.getMsg();
    }

}
