package space.anyi.BI.service;

import org.springframework.web.multipart.MultipartFile;
import space.anyi.BI.entity.Chart;
import com.baomidou.mybatisplus.extension.service.IService;
import space.anyi.BI.entity.dto.ChartDTO;
import space.anyi.BI.entity.vo.ChartVO;
import space.anyi.BI.entity.vo.PageVO;

/**
* @author 杨逸
* @description 针对表【chart(图标表)】的数据库操作Service
* @createDate 2024-11-28 19:51:56
*/
public interface ChartService extends IService<Chart> {

    ChartVO generateChartByAI(ChartDTO chartDTO, MultipartFile file);

    PageVO getChartPage(Integer pageNum, Integer pageSize, String name, Long userId);
}
