package space.anyi.BI.service;

import space.anyi.BI.entity.ResponseResult;
import space.anyi.BI.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import space.anyi.BI.entity.dto.UserDTO;
import space.anyi.BI.entity.vo.PageVO;

/**
* @author 杨逸
* @description 针对表【user(用户表)】的数据库操作Service
* @createDate 2024-11-28 19:46:42
*/
public interface UserService extends IService<User> {

    ResponseResult login(User user);

    ResponseResult register(User user);

    PageVO pageByUsernameAndUseraccount(Integer currentPage, Integer pageSize, String userName, String userAccount, String userRole);

    void addUser(UserDTO userDTO);
}
