package space.anyi.BI.service.impl;

import org.springframework.stereotype.Service;
import space.anyi.BI.service.PermissionService;
import space.anyi.BI.util.SecurityUtils;

/**
 * @ProjectName: serve
 * @FileName: PermissionServiceImpl
 * @Author: 杨逸
 * @Data:2024/12/6 21:45
 * @Description:
 */
@Service("ps")
public class PermissionServiceImpl implements PermissionService {
    @Override
    public boolean hasRole(String role) {
        String userRole = SecurityUtils.getLoginUser().getUser().getUserRole();
        if ("管理员".equals(userRole))return true;
        if (userRole.equals(role)){
            return true;
        }
        return false;
    }
}
