package space.anyi.BI.handler.redisson;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.redisson.api.RRateLimiter;
import org.redisson.api.RedissonClient;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;


/**
 * @ProjectName: serve
 * @FileName: RRateLimiterHandlerTest
 * @Author: 杨逸
 * @Data:2024/12/7 14:26
 * @Description:
 */
@SpringBootTest
class RRateLimiterHandlerTest {
    @Resource
    private RRateLimiterHandler rateLimiterHandler;
    @Resource
    private RedissonClient redissonClient;
    @Test
    void accessAble() {
        String key = "test:user13232121321";
        boolean flag;
        for (int i = 0; i < 5; i++) {
            flag = rateLimiterHandler.accessAble(key);
            //断言
            Assertions.assertEquals(flag,true);
        }

        flag = rateLimiterHandler.accessAble(key);
        //断言
        Assertions.assertEquals(flag,false);
    }

}
