import { createApp } from 'vue'
// import './style.css'
import App from './App.vue'
import router from './router'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
//全局样式
// import 'virtual:uno.css'
import {createPinia} from 'pinia'
// 创建 Pinia 实例
const pinia = createPinia()

let  app = createApp(App);
app.use(router).use(ElementPlus).use(pinia).mount('#app');
// 全局注册图标
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}

